Bug 3139 - Hangs when running with invalid parameters
: Hangs when running with invalid parameters
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/pwgen)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-10-10 10:52 by
Modified: 2008-06-13 12:15 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-10-10 10:52:22
When running with pw_length == 0 (pwgen 0) it hangs eating out CPU. strace shows
endless loop:
...
gettimeofday({1065768527, 471645}, NULL) = 0
read(3, "\307\206\233.", 4)             = 4
gettimeofday({1065768527, 471720}, NULL) = 0
read(3, "\325c\32\0", 4)                = 4
...
------- Comment #1 From 2003-10-16 11:22:30 -------
pwgen никогда не был моим пакетом 
 
------- Comment #2 From 2003-10-16 12:35:41 -------
Fixed in pwgen-2.03-alt1.